#ifndef ____SMTP_DATA_h__
# define ____SMTP_DATA_h__

# include "SMTPCommand.h"
# include "SMTPSession.h"

namespace mail {

   class __SMTP_DATA : public SMTPCommand {

    public:
      
      int processCommand(coreutils::ZString &request, SMTPSession &session, SMTPServer &server) override;

      std::string generateMailFileName();
      std::string queueMail(SMTPServer &server, std::string sender, std::vector<std::string> recipientList, std::stringstream &mailData);

   };

}

#endif
